=== debian/changelog ===
sagemath (8.4-4build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jan 2019 10:27:07 +0000

sagemath (8.4-4) unstable; urgency=medium

  * Closes: #918068
  * New (Build-)Depends:
    - gap-primgrp
    - gap-smallgrp
    - gap-transgrp
    - lcalc (>= 1.23+dfsg-9)
  * New patches:
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856

 -- Tobias Hansen <thansen@debian.org>  Thu, 03 Jan 2019 11:15:59 +0000

sagemath (8.4-3) unstable; urgency=medium

  * New (Build-)Depends:
    - gap (>= 4r10p0-3) (Closes: #912980)
    - networkx (>= 2.2)
    - gdb
  * Removed (Build-)Depends:
    - libgap-sage
    - libsingular4 (Closes: #912593)
    - gdb-python2 (Closes: #890231)
  * New patches:
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-networkx-2.2.patch              #26326
    - d0-libgap-path.patch
  * Removed patches:
    - d0-libgap-sage.patch
  * Add lintian overrides for threejs example files with long lines.
  * Allow 90 test failures for 'arch' tests, 10 for 'indep'.
  * Install shlibs.local for libgap.
  * Add lintian override for /usr/lib/*/gap in rpath.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 11:28:59 +0000

sagemath (8.4-2) unstable; urgency=medium

  * Upload to unstable.
  * New (Build-)Depends:
    - libbraiding
    - libhomfly
  * Remove patch:
    - dt-revert-standard-libbraiding-libhomfly.patch

 -- Tobias Hansen <thansen@debian.org>  Sat, 20 Oct 2018 11:41:45 +0200

sagemath (8.4-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - brial (>= 1.2.4)
    - cddlib (>= 094j)
    - eclib (>= 20180815)
  * New patches:
    - dt-revert-standard-libbraiding-libhomfly.patch
  * Remove patches (applied upstream):
    - u0-version-singular-4.1.1p2.patch
    - u0-version-cypari2-1.2.1.patch             #25813
    - u0-version-pari-2.11.patch                 #25567
    - u0-version-arb-2.14.patch                  #25966
    - u0-fix-symlink-sage-kernel-spec.patch      #25722
    - d0-pari.patch
    - d0-paths-sharedata.patch
    - dt-r-no-readline.patch
  * Patches with non-trivial modifications:
    - d0-maxima.patch
    - d0-paths.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
    - dt-work-around-doc-common-conf.patch

 -- Tobias Hansen <thansen@debian.org>  Fri, 19 Oct 2018 00:18:23 +0200
