=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.1
Homepage: http://www.sagemath.org/
Vcs-Git: https://salsa.debian.org/science-team/sagemath.git
Vcs-Browser: https://salsa.debian.org/science-team/sagemath
Build-Depends:
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.28.2),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20180815),
 f2c,
 fflas-ffpack (>= 2.3.2),
 flintqs,
 gap-dev (>= 4r10p0-3),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gfan (>= 0.6.2),
 gmp-ecm,
 ipython (>= 5.5.0),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-9),
 less,
 libcdd-tools (>= 094j),
 libjs-mathjax,
 libjs-three (>= 80),
 maxima-sage (>= 5.41.0),
 maxima-sage-doc (>= 5.41.0),
 maxima-sage-share (>= 5.41.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.11.0),
 pari-gp (>= 2.11.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports.functools-lru-cache,
 python-backports-shutil-get-terminal-size,
 python-brial (>= 1.2.4),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2 (>= 1.2.1),
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.4.1),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib (>= 2.1),
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx (>= 2.2),
 python-numpy (>= 1:1.14),
 python-openid,
 python-packaging,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1+ds1-5),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.7),
 python-stemmer,
 python-subprocess32,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-typing,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.1-p2),
 singular (<< 1:4.1.1-p3+ds-1),
 singular-doc (>= 1:4.1.1-p2),
 singular-doc (<< 1:4.1.1-p3+ds-1),
 sqlite3,
 sympow (>= 1.023-9),
 tachyon,
 xcas,
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 autoconf,
 ccache <pkg.sagemath.ccache>,
 cython-dbg <pkg.sagemath.dbg>,
 debhelper (>= 10),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 gdb,
 git,
 gnutls-dev,
 libc6-dbg <pkg.sagemath.dbg>,
 libblas-dev,
 libboost-dev (>= 1.55),
 libbraiding-dev,
 libbrial-dev (>= 1.2.4),
 libbrial-groebner-dev (>= 1.2.4),
 libcdd-dev (>= 094j),
 libcliquer-dev,
 libec-dev (>= 20180815),
 libecm-dev,
 libflint-arb-dev (>= 1:2.13),
 libflint-arb-dev (<< 1:2.15~),
 libflint-dev (>= 2.5.2-5),
 libfplll-dev (>= 5.2.1),
 libfreetype6-dev,
 libgc-dev,
 libgcrypt-dev,
 libgd-dev,
 libgf2x-dev (>= 1.2-4),
 libgiac-dev (>= 1.4.9.69),
 libgivaro-dev (>= 4.0.4),
 libglpk-dev,
 libgmp-dev (>= 2:5.1.2),
 libgpg-error-dev,
 libgsl-dev (>= 2.4+dfsg-5~),
 libhomfly-dev,
 libiml-dev,
 liblapack-dev,
 liblfunction-dev (>= 1.23+dfsg-9),
 liblinboxsage-dev (>= 1.5.2-2),
 liblrcalc-dev (>= 1.2-2),
 libm4ri-dev (>= 20130416),
 libm4rie-dev (>= 20130416),
 libmpc-dev (>=1.0),
 libmpfi-dev,
 libmpfr-dev,
 libntl-dev (>= 9.9.1-2),
# We use Atlas untill upstream has a patch for OpenBLAS 0.3.2, see https://trac.sagemath.org/ticket/26052
# libopenblas-dev (>= 0.2.19) [amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64] | libatlas-base-dev,
 libatlas-base-dev,
 libpari-dev (>= 2.11.0),
 libplanarity-dev,
 libpng-dev,
 libppl-dev (>= 1:1.1),
 libpynac-dev (>= 0.7.22),
 libratpoints-dev,
 libreadline-dev,
 librw-dev,
 libsingular4-dev (>= 1:4.1.1-p2),
 libsingular4-dev (<< 1:4.1.1-p3+ds-1),
 libsqlite3-dev,
 libsymmetrica-dev,
 libzn-poly-dev,
 pkg-config,
 python-dev,
 python-dbg <pkg.sagemath.dbg>,
 python-cysignals-pari-dbgsym <pkg.sagemath.dbg>,
 python3-dev,
 r-base-dev,
 rdfind,
 scons,
 texlive-latex-base,
 zlib1g-dev,

Package: sagemath
Architecture: any
Multi-Arch: same
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.28.2),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20180815),
 f2c,
 fflas-ffpack (>= 2.3.2),
 flintqs,
 gap-dev (>= 4r10p0-3),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gfan (>= 0.6.2),
 gmp-ecm,
 ipython (>= 5.5.0),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-9),
 less,
 libcdd-tools (>= 094j),
 libjs-mathjax,
 libjs-three (>= 80),
 maxima-sage (>= 5.41.0),
 maxima-sage-doc (>= 5.41.0),
 maxima-sage-share (>= 5.41.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.11.0),
 pari-gp (>= 2.11.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports.functools-lru-cache,
 python-backports-shutil-get-terminal-size,
 python-brial (>= 1.2.4),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2 (>= 1.2.1),
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.4.1),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib (>= 2.1),
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx (>= 2.2),
 python-numpy (>= 1:1.14),
 python-openid,
 python-packaging,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1+ds1-5),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.7),
 python-stemmer,
 python-subprocess32,
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-typing,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.1-p2),
 singular (<< 1:4.1.1-p3+ds-1),
 singular-doc (>= 1:4.1.1-p2),
 singular-doc (<< 1:4.1.1-p3+ds-1),
 sqlite3,
 sympow (>= 1.023-9),
 tachyon,
 xcas,
 sagemath-common (= ${source:Version})
Recommends:
 sagemath-doc-en (= ${source:Version}),
 sagemath-jupyter (= ${source:Version}),
 sagetex,
 texlive-latex-base
Suggests:
 dot2tex,
 gap-design,
 gap-factint,
 gap-grape,
 gap-guava,
 gap-laguna,
 gap-sonata,
 gap-toric

Package: sagemath-common
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - architecture-independent files
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the architecture-independent files of SageMath.
Depends: ${misc:Depends}, ${python:Depends}

Package: sagemath-jupyter
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)

Package: sagemath-doc-ca
Architecture: all
Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Catalan; Valencian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-de
Architecture: all
Description: Open Source Mathematical Software - documentation (German)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in German.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
