## sagemath 8.6

=== sage/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 # If configure was run before, rerun it with the old arguments.
 # Otherwise, run configure with argument $PREREQ_OPTIONS.
-build/make/Makefile: configure build/make/deps build/pkgs/*/*
+build/make/Makefile: configure build/make/deps build/make/Makefile.in build/pkgs/*/*
 	rm -f config.log
 	mkdir -p logs/pkgs
 	ln -s logs/pkgs/config.log config.log
@@ -84,7 +84,6 @@
 	rm -f aclocal.m4 config.log config.status confcache
 	rm -rf autom4te.cache
 	rm -f build/make/Makefile build/make/Makefile-auto
-	rm -f .BUILDSTART
 
 bdist-clean: clean
 	$(MAKE) misc-clean
@@ -190,7 +189,7 @@
 ptestoptionallong: all
 	$(PTESTALL) --long --logfile=logs/ptestoptionallong.log
 
-configure: configure.ac src/bin/sage-version.sh m4/*.m4
+configure: configure.ac src/bin/sage-version.sh m4/*.m4 build/pkgs/*/spkg-configure.m4
 	./bootstrap -d
 
 install: all
