=== debian/changelog ===
sagemath (8.6-6) unstable; urgency=medium

  * New patches:
    - u1-sphinx-1.8-doctest-transform.patch
    - d0-mathjax.patch
  * Update u0-version-sphinx-1.8.patch.
  * Create symlinks to system mathjax to fix math typesetting
    in documentation.
  * Remove (Build-)Depends:
    - python-flask
    - python-flask-autoindex
    - python-flask-babel
    - python-flask-oldsessions
    - python-flask-openid
    - python-flask-silk
  * Move packages from Depends to Recommends of sagemath (they all stay
    Build-Depends):
    - maxima-sage-doc
    - pari-doc
    - python-sagenb-export
    - r-cran-lattice
    - singular-doc
  * Fix 'sage --version'. (Closes: #923166)

 -- Tobias Hansen <thansen@debian.org>  Sat, 02 Mar 2019 02:54:33 +0000

sagemath (8.6-5) unstable; urgency=medium

  * New patches:
    - d0-threejs-default-in-notebooks.patch
      Makes threejs the default 3D viewer in the Jupyter and sagenb
      notebooks.
    - u1-pkgconfig-extra-link-flags.patch (Closes: #919573)
  * Update u0-version-sphinx-1.8.patch.
  * Exclude all png's from dh_strip_nondeterminism.

 -- Tobias Hansen <thansen@debian.org>  Thu, 07 Feb 2019 06:51:46 +0000

sagemath (8.6-4) unstable; urgency=medium

  [ Ximin Luo ]
  * Add Rules-Requires-Root: no, avoid using fakeroot.

  [ Tobias Hansen ]
  * Install a desktop file to start the Jupyter notebook.
  * New (Build-)Depends:
    - python-sphinx (>= 1.8) (Closes: #920989)
  * Remove (Build-)Depends:
    - gnutls-dev
    - libblas-dev
    - libgcrypt-dev
    - python3-dev
    - scons
    - f2c
    - octave
    - python-crypto
    - python-gd
    - python-gnutls
    - python-jsonschema
    - python-moinmoin
    - python-ply
    - python-tk
  * Adjust two trivial test fixes.
  * New patches:
    - u0-version-sphinx-1.8-dependency.patch     #26949
    - u0-version-sphinx-1.8.patch                #26451
  * Don't install sage-env-config. (Closes: #918990)

 -- Tobias Hansen <thansen@debian.org>  Thu, 31 Jan 2019 15:35:11 +0000

sagemath (8.6-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * New (Build-)Depends:
    - gap-online-help
    - gap-atlasrep
    - gap-table-of-marks
    - libopenblas-dev (on supported architectures)
  * Remove (Build-)Depends:
    - libatlas-base-dev (on openblas supported architectures)
    - liblapack-dev
  * Allow up to 50 test failures.
  * Run tests with appropriate --optional flag.

  [ E. Madison Bray ]
  * New patch: u2-libgap-symbol-loading.patch

 -- Tobias Hansen <thansen@debian.org>  Thu, 24 Jan 2019 08:52:42 +0000

sagemath (8.6-2) unstable; urgency=medium

  * New (Build-)Depends:
    - ecl (>= 16.1.3)
    - maxima-sage (>= 5.41.0+ds-3)
  * New patches:
    - u0-version-ecl-16.1.3.patch                #22191
  * Don't run dh_strip_nondeterminism on sageicon.png to avoid error.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 17:33:43 +0000

sagemath (8.6-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * New (Build-)Depends:
    - cysignals (>= 1.8.1)
    - libpynac-dev (>= 0.7.23)
    - python-sphinx (<< 1.8~)
  * New patches:
    - u0-version-numpy-1.16-inline-fortran.patch #27061
  * Remove patches (applied upstream):
    - u0-version-networkx-2.2.patch              #26326
  * Fix path to sage in Jupyter kernel spec. (Closes: #918993)

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 00:25:58 +0100

sagemath (8.6~rc0-1) experimental; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - cython (>= 0.29.1)
    - lcalc (>= 1.23+dfsg-10)
    - libflint-arb-dev (>= 1:2.15)
    - python-cypari2 (>= 1.3.1)
  * Remove patches (applied upstream):
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-numpy-1.14.3.patch              #25260
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856
    - u1-fix-mkdirs-sage-kernel-spec.patch       #26176
    - u2-version-r-3.5.1-incomplete.patch        #26185

 -- Tobias Hansen <thansen@debian.org>  Sun, 06 Jan 2019 12:19:11 +0000
