=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,11 @@
 endif
 
 ifeq (,$(filter pkg.sagemath.nolongcheck,$(DEB_BUILD_PROFILES)))
-SAGE_TEST_FLAGS = --long
+SAGE_TEST_FLAGS_ARCH = --optional=sage,python2,memlimit --long
+SAGE_TEST_FLAGS_INDEP = --optional=sage,python2,memlimit,dochtml --long
+else
+SAGE_TEST_FLAGS_ARCH = --optional=sage,python2,memlimit
+SAGE_TEST_FLAGS_INDEP = --optional=sage,python2,memlimit,dochtml
 endif
 
 export SAGE_LOCAL = $(CURDIR)/debian/build/usr
@@ -77,6 +81,7 @@
 debian/control: debian/control.in $(DOCS_CONTROL)
 	cat $^ > "$@"
 	sed -i -e '/RUNTIME_DEPENDS/ {' -e 'r debian/control.runtime-depends' -e 'd' -e '}' "$@"
+	sed -i -e '/RUNTIME_RECOMMENDS/ {' -e 'r debian/control.runtime-recommends' -e 'd' -e '}' "$@"
 	sed -i -e '/JUPYTER_DEPENDS/ {' -e 'r debian/control.jupyter-depends' -e 'd' -e '}' "$@"
 
 debian/sagemath-doc-%.control: debian/sagemath-doc-LANG.control.in $(REBUILD_RULES)
@@ -135,6 +140,9 @@
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(run_build) doc
+	cd debian/build/usr/share/doc/sagemath/html && \
+	for statdir in */*/_static; do ln -s /usr/share/javascript/mathjax "$$statdir"; done && \
+	for statdir in */_static; do ln -s /usr/share/javascript/mathjax "$$statdir"; done
 endif
 
 override_dh_auto_install:
@@ -148,6 +156,13 @@
 	cp -f debian/adhoc/sage-env debian/tmp/usr/bin/
 # Install sage-python23 which is required at runtime but located in build/bin.
 	cp -f sage/build/bin/sage-python23  debian/tmp/usr/bin/
+# Don't install sage-env-config.
+	rm -f debian/tmp/usr/bin/sage-env-config
+# Install (renamed) icons.
+	mkdir -p debian/tmp/usr/share/icons/hicolor/64x64/apps
+	mkdir -p debian/tmp/usr/share/icons/hicolor/scalable/apps
+	cp -f sage/src/ext/notebook-ipython/logo-64x64.png debian/tmp/usr/share/icons/hicolor/64x64/apps/sagemath.png
+	cp -f sage/src/ext/notebook-ipython/logo.svg debian/tmp/usr/share/icons/hicolor/scalable/apps/sagemath.svg
 # Don't try to rmdir debian/build if it's a mountpoint, useful for doing builds in /run/shm
 	mountpoint debian/build || rmdir debian/build
 
@@ -175,27 +190,3 @@
 	dh_python2
 	dh_numpy --package sagemath # stop lintian complaining at us
 
-override_dh_shlibdeps:
-	dh_shlibdeps -l debian/tmp/usr/lib
-
-override_dh_compress:
-# We probably don't need to install the pickle/doctree files but let's exempt
-# them from compression anyway for now, so the build goes quicker.
-	dh_compress -X.pdf -X.pickle -X.doctree
-
-override_dh_sphinxdoc:
-# TODO: fix MathJax.js, Sage needs special treatment
-# `man dh_sphinxdoc` says symlinking translations.js is not yet supported
-# likewise, it seems not to recognise searchtools.js yet
-	dh_sphinxdoc -XMathJax.js -Xtranslations.js -Xsearchtools.js
-
-# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
-# non-docs without wiping away the docs we previously built, to save time.
-ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# Don't delete my precious docs debhelper! They took a whole fucking hour to build!
-preserve_docs = \
-	set -e; \
-	if [ -d $(2)/usr/share/doc ]; then \
-		mkdir -p debian/clean-tmp/usr/share; \
-		mv -t debian/clean-tmp/usr/share/ $(2)/usr/share/doc; \
-	fi; \
